<?php

/**
 * @file
 * Theme functions for textfield_confirm.module.
 */

/**
 * Formats a textfield_confirm item.
 */
function theme_textfield_confirm($element) {
  if ($element['#add_js']) {
    $js_setting = array(
      'textfield_confirm' => array(
        'success' => $element['#success_help'],
        'error' => $element['#error_help'],
      ),
    );
    drupal_add_js($js_setting, 'setting');
    drupal_add_js(drupal_get_path('module', 'textfield_confirm') . '/textfield_confirm.js');
  }

  return theme('form_element', $element, $element['#children']);
}

/**
 * Formats an emailfield_confirm item.
 *
 * @see theme_textfield_confirm()
 */
function theme_emailfield_confirm($element) {
  return theme_textfield_confirm($element);
}
